### Hierarchy

- AbstractAppController

## Index

### Constructors

- constructor

### Properties

- $scope
- backgroundLayerMgr_
- defaultLang
- dimensions
- displaywindowContent
- displaywindowDraggableContainment
- displaywindowHeight
- displaywindowOpen
- displaywindowTitle
- displaywindowUrl
- displaywindowWidth
- drawFeatureLayer
- filterSelectorActive
- filterSelectorEnabled
- gettextCatalog
- gmfThemeManager
- gmfThemes
- gmfTreeManager_
- gmfUser
- hasEditableLayers
- lang
- langUrls
- loading
- loginActive
- loginInfoMessage
- loginRedirectUrl
- manageResize
- map
- mapToolsGroup
- ngeoLocation
- ngeoMapQuerent_
- options
- permalink_
- postLoading
- queryActive
- resizeTransition
- searchListeners
- stateManager
- tmhDynamicLocale
- updateHasEditableLayers_

### Methods

- initLanguage
- setDefaultBackground_
- switchLanguage

## Constructors

### constructor

- new AbstractAppController($scope: IScope, $injector: IInjectorService, mobile: boolean): AbstractAppController

- - Defined in src/controllers/AbstractAppController.js:85

  Application abstract controller.

  Used functionalities:

  - `open_panel`: When set, contains the name of the panel to open upon loading an application. Note: although this is a list, only one can be defined.
  ngdoc

    controller

  nginject

  #### Parameters

  - ##### $scope: IScope

    Scope.

  - ##### $injector: IInjectorService

    Main injector.

  - ##### mobile: boolean

  #### Returns AbstractAppController

## Properties

### $scope

$scope: IScope

- Defined in src/controllers/AbstractAppController.js:435

### backgroundLayerMgr_

backgroundLayerMgr_: MapBackgroundLayerManager

- Defined in src/controllers/AbstractAppController.js:391

### defaultLang

defaultLang: any

- Defined in src/controllers/AbstractAppController.js:447

Default language

### dimensions

dimensions: Object

- Defined in src/controllers/AbstractAppController.js:366

### displaywindowContent

displaywindowContent: string

- Defined in src/controllers/AbstractAppController.js:546

### displaywindowDraggableContainment

displaywindowDraggableContainment: string

- Defined in src/controllers/AbstractAppController.js:592

### displaywindowHeight

displaywindowHeight: string

- Defined in src/controllers/AbstractAppController.js:508

### displaywindowOpen

displaywindowOpen: boolean

- Defined in src/controllers/AbstractAppController.js:502

### displaywindowTitle

displaywindowTitle: string

- Defined in src/controllers/AbstractAppController.js:501

### displaywindowUrl

displaywindowUrl: string

- Defined in src/controllers/AbstractAppController.js:532

### displaywindowWidth

displaywindowWidth: string

- Defined in src/controllers/AbstractAppController.js:505

### drawFeatureLayer

drawFeatureLayer: FeatureOverlay

- Defined in src/controllers/AbstractAppController.js:181

### filterSelectorActive

filterSelectorActive: boolean

- Defined in src/controllers/AbstractAppController.js:318

### filterSelectorEnabled

filterSelectorEnabled: boolean

- Defined in src/controllers/AbstractAppController.js:311

### gettextCatalog

gettextCatalog: gettextCatalog

- Defined in src/controllers/AbstractAppController.js:461

The gettext catalog

### gmfThemeManager

gmfThemeManager: any

- Defined in src/controllers/AbstractAppController.js:195

### gmfThemes

gmfThemes: any

- Defined in src/controllers/AbstractAppController.js:207

Themes service

### gmfTreeManager_

gmfTreeManager_: any

- Defined in src/controllers/AbstractAppController.js:200

### gmfUser

gmfUser: any

- Defined in src/controllers/AbstractAppController.js:339

### hasEditableLayers

hasEditableLayers: boolean

- Defined in src/controllers/AbstractAppController.js:237

### lang

lang: string

- Defined in src/controllers/AbstractAppController.js:440

### langUrls

langUrls: any

- Defined in src/controllers/AbstractAppController.js:454

Languages URL

### loading

loading: boolean

- Defined in src/controllers/AbstractAppController.js:214

Checks if the themes are loaded

### loginActive

loginActive: boolean

- Defined in src/controllers/AbstractAppController.js:279

### loginInfoMessage

loginInfoMessage: string

- Defined in src/controllers/AbstractAppController.js:260

Information message for the login form.

### loginRedirectUrl

loginRedirectUrl: string

- Defined in src/controllers/AbstractAppController.js:253

URL to redirect to after login success.

### manageResize

manageResize: boolean

- Defined in src/controllers/AbstractAppController.js:555

Whether to update the size of the map on browser window resize.

### map

map: Map

- Defined in src/controllers/AbstractAppController.js:166

### mapToolsGroup

mapToolsGroup: string

- Defined in src/controllers/AbstractAppController.js:468

### ngeoLocation

ngeoLocation: StatemanagerLocation

- Defined in src/controllers/AbstractAppController.js:156

Location service

### ngeoMapQuerent_

ngeoMapQuerent_: MapQuerent

- Defined in src/controllers/AbstractAppController.js:420

### options

options: any

- Defined in src/controllers/AbstractAppController.js:92

### permalink_

permalink_: any

- Defined in src/controllers/AbstractAppController.js:232

Permalink service

### postLoading

postLoading: boolean

- Defined in src/controllers/AbstractAppController.js:225

This property is set to `true` when the themes change after a successful login

### queryActive

queryActive: boolean

- Defined in src/controllers/AbstractAppController.js:415

The active state of the ngeo query directive.

### resizeTransition

resizeTransition: number

### searchListeners

searchListeners: SearchDirectiveListeners<olFeature<Geometry>>

- Defined in src/controllers/AbstractAppController.js:267

Listeners passed to searchDirective.

### stateManager

stateManager: StatemanagerService

- Defined in src/controllers/AbstractAppController.js:425

### tmhDynamicLocale

tmhDynamicLocale: IDynamicLocale

- Defined in src/controllers/AbstractAppController.js:430

### updateHasEditableLayers_

updateHasEditableLayers_: typeof __function

- Defined in src/controllers/AbstractAppController.js:242

## Methods

### initLanguage

- initLanguage(): void

- - Defined in src/controllers/AbstractAppController.js:684

  #### Returns void

### setDefaultBackground_

- setDefaultBackground_(theme: any): void

- - Defined in src/controllers/AbstractAppController.js:715

  #### Parameters

  - ##### theme: any

    Theme.

  #### Returns void

### switchLanguage

- switchLanguage(lang: string): void

- - Defined in src/controllers/AbstractAppController.js:672

  #### Parameters

  - ##### lang: string

    Language code.

  #### Returns void

Generated using TypeDoc